Users

Users

1.0.0OAS 3.1
API Base URL
  • Server 1:https://{your-bynder-domain}/
Security
OAuth2 (oauth2)

Authorization Code OAuth Flow

Authorize URL: https://{your-auth-url}

Token URL: https://{your-bynder-domain}/v6/authentication/oauth2/token

Scopes:

  • USERMANAGEMENT - Grants permission to manage users

Client Credentials OAuth Flow

Token URL: https://{your-bynder-domain}/v6/authentication/oauth2/token

Scopes:

  • USERMANAGEMENT - Grants permission to manage users
permanentToken (apiKey)

An API key is a token that you provide when making API calls. Include the token in a header parameter called Authorization.

Example: Authorization: 123

Users

Manage users within your Bynder account. You can create, retrieve, update, and delete users as needed.

Retrieve users

get
https://{your-bynder-domain}/api/v4/users/

Query Parameters

includeInActiveboolean

Whether to include inactive users in the list of results.

Default:false

limitinteger

Maximum results to return. If limit is not provided, all results are returned.

Default:100

pageinteger

What page of results to return.

Default:1

Response

200 application/json

Successful response

activeinteger
countrystring
emailstring
email2string
employeeNumberstring
groupsarray[object]
Show Child Parameters
idstring
isSSOOnlyboolean
namestring
profileIdstring
salesrepIdstring
timeZonestring
usernamestring
websitestring
get/api/v4/users/
 
200 application/json

Create user

post
https://{your-bynder-domain}/api/v4/users/

Body

application/x-www-form-urlencoded

User

activeinteger

Allowed values:1

Default:1

companyNamestring
costCenterstring
departmentstring
emailstringrequired
firstnamestringrequired
groupIdsstring
infixstring
isSSOOnlyboolean

Default:false

jobstring
languagestring
lastnamestringrequired
passwordstringrequired
phoneNumberstring
profileIdstringrequired
usernamestring

Response

201 application/json

User created

idstring
usernamestring
post/api/v4/users/

Body

{ "email": "email", "firstname": "firstname", "lastname": "lastname", "password": "password", "profileId": "profileId" }
 
201 application/json

Users ID

Manage specific users by their ID. This includes retrieving, updating, and deleting user information based on the user ID.